// SBA User Functions Error Codes 
#define SBA_BAD_CNTL                   0x100
#define SBA_BAD_COUNT                  0x101
#define SBA_BAD_DATA                   0x102
#define SBA_BAD_DIRC                   0x103
#define SBA_BAD_IID                    0x104
#define SBA_BAD_INPUTS                 0x105
#define SBA_BAD_LOC                    0x106
#define SBA_BAD_MODE                   0x107
#define SBA_BAD_NAME                   0x108
#define SBA_BAD_RES                    0x109
#define SBA_BAD_START                  0x10A
#define SBA_BAD_STATE                  0x10B
#define SBA_BAD_STOR                   0x10C
#define SBA_BAD_TID                    0x10D
#define SBA_BAD_TRIG                   0x10E
#define SBA_BAD_WIDTH                  0x10F
#define SBA_BAD_DEV                    0x110
#define SBA_BAD_TIME                   0x111
#define SBA_BAD_FILE                   0x112
#define SBA_BAD_POS                    0x113
#define SBA_FILE_ERR                   0x200
#define SBA_NOT_FOUND                  0x300
#define SBA_NO_DATA                    0x401
#define SBA_NO_LINE1                   0x402
#define SBA_NO_LINE2                   0x403
#define SBA_NO_STATE                   0x404
#define SBA_NO_TRIG                    0x405
#define SBA_OBJ_NOT_FOUND              0xFFFF
#define SBA_SUCCESS                    0x0  
#define SBA_TOO_FEW_LINES              0x800

// Trigger Setup Acq Qual Store Mask 
#define SBA_ALL_STATE                  0x1
#define SBA_ARB_SEL                    0x2
#define SBA_ARB_SEL_CMD                0x3
#define SBA_ARB_SEL_CMD_STAT           0x4

// Config mode codes
#define SBA_DIRECT                     0x0
#define SBA_INDIRECT                   0x1

// Delta time codes
#define SBA_TIMING                     0x0
#define SBA_STATE                      0x1

// Display Data codes
#define SBA_SCREEN                     0x0
#define SBA_OUT_DEV                    0x1

#define SBA_TIMING_16                  0x0
#define SBA_TIMING_8                   0x2
#define SBA_STATE_16                   0x1
#define SBA_STATE_8                    0x3
                                       
#define SBA_REAL_TIME                  0x0
#define SBA_DELTA_TIME                 0x1
                                       
// Event Filter Codes
#define SBA_OFF                        0x0
#define SBA_FOUR_PER                   0x1
#define SBA_ONE_PER                    0x2
                                       
// ID qual codes
#define SBA_SEL_RESEL                  0x1
#define SBA_SEL                        0x2
#define SBA_RESEL                      0x3
                                       
#define SBA_ANY                        0xFF
                                       
#define SBA_ALLOW                      0x1
#define SBA_SUPPRESS                   0x2
                                       
// Resolution codes
#define SBA_SEC                        0x0
#define SBA_MSEC                       0x1
#define SBA_USEC                       0x2
#define SBA_NSEC_100                   0x3
#define SBA_NSEC_20                    0x4
#define SBA_NSEC                       0x5
                                       
// State Data codes
#define SBA_START_OF_LOG               0x0
#define SBA_END_OF_LOG                 0x1
#define SBA_AFTER_TRIGGER              0x2
#define SBA_BEFORE_TRIGGER             0x3
                                       
// State Search codes
#define SBA_BUS_FREE                   0x0
#define SBA_ARBITRATE                  0x1
#define SBA_ARBWIN                     0x2
#define SBA_SEL_START                  0x3
#define SBA_SEL_COMPLETE               0x4
#define SBA_SEL_TIMEOUT                0x5
#define SBA_RESEL_START                0x6
#define SBA_RESEL_COMPLETE             0x7
#define SBA_RESEL_TIMEOUT              0x8
#define SBA_MSG_OUT                    0x9
#define SBA_MSG_IN                     0xA
#define SBA_CMD                        0xB
#define SBA_STAT                       0xC
#define SBA_DATAIN                     0xD
#define SBA_DATAOUT                    0xE
#define SBA_ATTN_ASSERT                0xF
#define SBA_ATTN_DEASSERT              0x10
#define SBA_RESET_ASSERT               0x11
#define SBA_RESET_DEASSERT             0x12
#define SBA_TRIGGER                    0x14

#define SBA_FORWARD                    0x0
#define SBA_BACKWARD                   0x1

#define SBA_YES                        0x1
#define SBA_NO                         0x0

//Status Codes
#define SBA_IDLE                       0x0
#define SBA_RUN                        0x1
#define SBA_TRIG                       0x2
#define SBA_FULL                       0x3
 
// LANZ SCSI Trigger Events Index Defines 
#define SBA_SPECIFY_BITS               0x0
#define SBA_IMMEDIATE                  0x1
#define SBA_ARBITRATION                0x2
#define SBA_SELECTION                  0x3
#define SBA_RESELECTION                0x4
#define SBA_MESSAGE_IN                 0x5
#define SBA_MESSAGE_OUT                0x6
#define SBA_COMMAND                    0x7
#define SBA_DATA_IN                    0x8
#define SBA_DATA_OUT                   0x9
#define SBA_STATUS                     0xA
#define SBA_NO_TRIGGER                 0xB

#define SBA_BEFORE                     0x0
#define SBA_CENTERED                   0x1
#define SBA_AFTER                      0x2
